@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
          sqtmCoreAnchorLastPanel
          [isEffectiveLastPanel]="!isDropdownList(componentData)"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-environment-variable-information-panel
            [componentData]="componentData"
          >
          </sqtm-app-environment-variable-information-panel>
        </nz-collapse-panel>
        @if (isDropdownList(componentData)) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'options'"
            [sqtmCoreAnchorCollapsePanel]="'options'"
            [nzHeader]="optionsTitle"
            [nzExtra]="optionsGridButtons"
            sqtmCoreAnchorLastPanel
          >
            <ng-template #optionsTitle>
              <div class="entity-view-collapse-panel-title">
                {{ 'sqtm-core.entity.option.label.plural' | translate }}
              </div>
            </ng-template>
            <sqtm-app-environment-variable-options-panel>
            </sqtm-app-environment-variable-options-panel>
          </nz-collapse-panel>
        }
      </nz-collapse>
      <ng-template #optionsGridButtons>
        <div class="admin-view-panel-buttons">
          <div [attr.data-test-button-id]="'add-option'">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.option.tooltips.add-option' | translate
              "
              nzTooltipPlacement="top"
              (click)="addEnvironmentVariableOptions($event)"
            >
            </i>
          </div>
          <sqtm-core-toggle-icon
            [attr.data-test-button-id]="'remove-options'"
            [active]="optionsGridService.hasSelectedRows$ | async"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:delete"
              nzTheme="outline"
              nz-tooltip
              class="action-icon-size"
              [nzTooltipTitle]="
                'sqtm-core.entity.option.tooltips.delete-options' | translate
              "
              nzTooltipPlacement="topRight"
              (click)="deleteEnvironmentVariableOptions($event)"
            ></i>
          </sqtm-core-toggle-icon>
        </div>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
